<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * ログアウト
 *
 * @package     Admin.User.Logout
 * @author      netnee T.Otogawa <tomokazu.otogawa@netnee.jp>
 * @access      public
 */
class Admin_User_Logout
{
    var $auth;

    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Admin_User_Logoutが実行されました", "Admin_User_Logout#execute");

        if ($this->auth->checkAuth()) {

            $this->auth->logout();

        } else {
            return 'autherr';
        }
        return 'success';
    }
}
?>
